<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta  content="text/html; charset=utf-8" http-equiv="Content-Type"/><link  href="static/yui/fonts/fonts.css" type="text/css" rel="StyleSheet"/>
<link  href="static/yui/reset/reset.css" type="text/css" rel="StyleSheet"/>
<link  href="static/yui/grids/grids.css" type="text/css" rel="StyleSheet"/>
<link  href="static/style.css" type="text/css" rel="StyleSheet"/>
<link  href="static/yui/base/base.css" type="text/css" rel="StyleSheet"/>
<link  href="docstyle.css" type="text/css" rel="StyleSheet"/>
<link  href="syntax.css" type="text/css" rel="StyleSheet"/>


<title>Cubictemp Manual - Introduction</title></head><body><div class="yui-t2" id="doc3"><div style="" id="hd"><h1> Cubictemp - Introduction </h1></div><div id="bd"><div id="yui-main"><div style="" class="yui-b"><p>
<strong>A small, elegant templating system for Python.</strong></p><h1>Features</h1><ul><li><p>Simple, well-tested and well-documented.</p></li><li><p>Integrates tightly with Python - pass arbitrary Python objects into a
    template, walk sequences and iterators, evaluate expressions.</p></li><li><p>Default escaping helps to prevent common classes of Cross-Site Scripting
    vulnerabilities.</p></li><li><p>Encourages separation of interface and program logic by disallowing
    statements in templates.</p></li><li><p>Tiny - only ~ 170 SLOC. There are many large, over-designed
    Python templating systems out there.  Cubictemp proves that a templating
    sytem can be complete, elegant, powerful, fast and remain compact.</p></li></ul><p>Cubictemp requires Python 2.4 or newer.</p><h1>Hello walrus</h1><div class="highlight"><pre><span class="k">import</span> <span class="nn">cubictemp</span>

<span class="n">template</span> <span class="o">=</span> <span class="n">cubictemp</span><span class="o">.</span><span class="n">Template</span><span class="p">(</span><span class="s">&quot;Hello @!foo!@!&quot;</span><span class="p">,</span> <span class="n">foo</span><span class="o">=</span><span class="s">&quot;walrus&quot;</span><span class="p">)</span>
<span class="k">print</span> <span class="n">template</span>
<span class="k">print</span> <span class="n">template</span><span class="p">(</span><span class="n">foo</span><span class="o">=</span><span class="s">&quot;world&quot;</span><span class="p">)</span>
</pre></div><p>Output:</p><pre class="output">
Hello walrus!
Hello world!
</pre></div></div><div style="" class="yui-b"><div class="pageindex"><ul><li class="active"><a href="index.html">Introduction</a></li><li class="inactive"><a href="subs.html">Tags</a></li><li class="inactive"><a href="blocks.html">Blocks</a></li><li class="inactive"><a href="processors.html">Processors</a></li><li class="inactive"><a href="api.html">API</a></li><li class="inactive"><a href="admin.html">Administrivia</a></li></ul></div></div></div><div style="" id="ft"><p>Copyright Nullcube 2008</p></div></div></body></html>